/**
 * 经营承诺
 */

import zlbApi from "@/api/zlbApi";
import {fetch as myFetch} from "@/api/fetch";

/**
 * 模板列表
 * /promise/template/getTemplateList
 */
export function getTemplateList (data) {
    const url = zlbApi.getTemplateList;
    return myFetch(url, 'get', data, 'json');
}

/**
 * 获取企业承诺详情
 * /promise/manage/getDetail
 */
export function getDetail (data) {
    const url = zlbApi.getPromiseDetail;
    return myFetch(url, 'get', data, 'json');
}

/**
 * 获取模板详情
 * /promise/template/templateDetails
 */
export function templateDetails (data) {
    const url = zlbApi.templateDetails;
    return myFetch(url, 'get', data, 'json');
}

/**
 * 创建承诺
 * /promise/manage/createPromise
 */
export function createPromise (data) {
    const url = zlbApi.createPromise;
    return myFetch(url, 'post', data, 'json');
}

/**
 * 获取承诺列表
 * /promise/manage/getList
 */
export function getPromiseList (data) {
    const url = zlbApi.getPromiseList;
    return myFetch(url, 'get', data, 'json');
}

/**
 * 获取企业详情
 * /promise/enterprise/getDetail
 */
export function getEnterpriseDetail (data) {
    const url = zlbApi.getEnterpriseDetail;
    return myFetch(url, 'get', data, 'json');
}